### Constructor

# ICalGLib Component new

since: 1.0

#### Declaration [src]

    ICalComponent*
    i_cal_component_new (
      ICalComponentKind kind
    )

#### Description [src]

Creates a new `ICalComponent` with specific type.

Available since: 1.0

#### Parameters

`kind`

  Type: `ICalComponentKind`

  The `ICalComponentKind`.

#### Return value

Type: `ICalComponent`

The newly created `ICalComponent`.

The caller of the function takes ownership of the data, and is responsible for freeing it.